CC = gcc
CFLAGS = -Wall -Wextra -O2 -std=c11
BINDIR = bin

TARGET = $(BINDIR)/oraset

SRCS = src/main.c

all: $(TARGET)

$(TARGET): $(SRCS)
	@mkdir -p $(BINDIR)
	$(CC) $(CFLAGS) -o $(TARGET) $(SRCS)

clean:
	rm -f $(TARGET)

pkg: all
	rm -rf pkg-root
	mkdir -p pkg-root/usr/local/bin
	cp bin/oraset pkg-root/usr/local/bin/oraset
	chmod +x pkg-root/usr/local/bin/oraset
	pkgbuild --root pkg-root --identifier com.oraset.lang --version 4.0.0 --install-location / Oraset-Re+4.0.0-Release.pkg

.PHONY: all clean pkg